- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# krat_exp_cderivation.hh File Reference

Declaration for the cderivate() algorithms. More...

Include dependency graph for krat_exp_cderivation.hh:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<class Series, class T, class Letter>
Element< Series, T > | cderivate (const Element< Series, T > &exp, Letter a)
| The c-derivative of the krat expression w.r.t to a letter.
template<class Series, class T, class Word>
Element< Series, T > | word_cderivate (const Element< Series, T > &exp, Word a)
| The c-derivative of the krat expression w.r.t to a word.

## Detailed Description

Declaration for the cderivate() algorithms.

See also:
  cderivate(), word_cderivate()

Definition in file krat_exp_cderivation.hh.